# -*- coding: utf-8 -*-
"""
Модуль для хранения экземпляра класса Holder.
В нём будут содержаться некоторые объекты, к которым нужно получать доступ из
разных модулей с условием оригинальности объекта, то есть нужно некоторое по-
добие паттерна Singleton. Данный подход позволяет избежать использования этого
паттерна, который, тем более, в некоторых местах не получается внедрить по-простому,
потому что типичным сопсобом внедрения Singleton паттерна является метакласс, от
которого наследуется класс, который должен иметь только одну сущность. Всё, что
используется в PyQt имеет на верхних уровнях ирерхии метаклассы, и получается что
используется множественное наследование от нескольких метаклассов, что выдаёт ошибку.
Способы обойти данную ошибку имеются, однако они довольно сложные, поэтому было
решено использовать данный подход для достижения целей.
"""
from NCryptoTools.Tools.instances_holder import Holder

server_holder = Holder()
